\begin{minted}{python}
import random
import matplotlib.pyplot as plt
import numpy as np

k = [2, 16, 64]
eingabelaengen = []
benoetigte_vergleiche = []

anzahl_simulationen = 200
kleinste_zahl = 0
groesste_zahl = 10000
for j in k:
    for i in range(anzahl_simulationen):
        laenge_liste = random.randint(1, groesste_zahl)
        liste = random.sample(range(kleinste_zahl, groesste_zahl), laenge_liste)
        liste.sort()
        random_id = random.randint(0, len(liste) - 1)
        id, vergleiche = k_suche(liste, liste[random_id], j)
        assert id == random_id
        eingabelaengen.append(laenge_liste)
        benoetigte_vergleiche.append(vergleiche)

plt.title('{} Suchen nach einem zufälligen Element'.format(anzahl_simulationen))    
plt.grid(True)
plt.xlabel('Listenlänge')
plt.ylabel('Anzahl Vergleiche')

for i in range(len(k)):
    start = i*anzahl_simulationen
    ende = (i+1)*anzahl_simulationen
    x = eingabelaengen[start:ende]
    y = benoetigte_vergleiche[start:ende]
    plt.scatter(x, y, label="k={}".format(k[i]))

plt.legend()
plt.savefig('k_suche.png', format='png')
plt.show()    
\end{minted}